I can't start a Discourse

 failed with return #<Process::Status: pid 147 exit 128>
Location of failure: /usr/local/lib/ruby/gems/3.2.0/gems/pups-1.2.1/lib/pups/exec_command.rb:132:in `spawn'
exec failed with the params {"cd"=>"$home", "hook"=>"code", "cmd"=>["sudo -H -E -u discourse git reset --hard", "sudo -H -E -u discourse git clean -f", "sudo -H -E -u discourse bash -c '\n  set -o errexit\n  if [ $(git rev-parse --is-shallow-repository) == \"true\" ]; then\n      git remote set-branches --add origin main\n      git remote set-branches origin $version\n      git fetch --depth 1 origin $version\n  else\n      git fetch --tags --prune-tags --prune --force origin\n  fi\n'", "sudo -H -E -u discourse bash -c '\n  set -o errexit\n  if [[ $(git symbolic-ref --short HEAD) == $version ]] ; then\n      git pull\n  else\n      git -c advice.detachedHead=false checkout $version\n  fi\n'", "sudo -H -E -u discourse git config user.discourse-version $version", "mkdir -p tmp", "chown discourse:www-data tmp", "mkdir -p tmp/pids", "mkdir -p tmp/sockets", "touch tmp/.gitkeep", "mkdir -p                    /shared/log/rails", "bash -c \"touch -a           /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log\"", "bash -c \"ln    -s           /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log $home/log\"", "bash -c \"mkdir -p           /shared/{uploads,backups}\"", "bash -c \"ln    -s           /shared/{uploads,backups} $home/public\"", "bash -c \"mkdir -p           /shared/tmp/{backups,restores}\"", "bash -c \"ln    -s           /shared/tmp/{backups,restores} $home/tmp\"", "chown -R discourse:www-data /shared/log/rails /shared/uploads /shared/backups /shared/tmp", "[ ! -d public/plugins ] || find public/plugins/ -maxdepth 1 -xtype l -delete"]}
bootstrap failed with exit code 128
** FAILED TO BOOTSTRAP ** please scroll up and look for earlier error messages, there may be more than one.
./discourse-doctor may help diagnose the problem.
a3cbcdb4f69959188529ca50ea2c2c507929ee0eb917fabc18102efd9a16862f
root@37:/home/discourse# 

I would start with this; if you can retrieve it, please post the entire log so we can review.

3 Likes
root@37:/home/discourse# ./launcher start app
x86_64 arch detected.

starting up existing container
+ /usr/bin/docker start app
app
root@37:/home/discourse# ./launcher rebuild app
x86_64 arch detected.
Ensuring launcher is up to date
Fetching origin
Launcher is up-to-date
Stopping old container
+ /usr/bin/docker stop -t 600 app
app
2.0.20231023-1945: Pulling from discourse/base
Digest: sha256:2b0eb484d20888cc2daadb690dcfa73522105650c1420212e99345a36a424d77
Status: Image is up to date for discourse/base:2.0.20231023-1945
docker.io/discourse/base:2.0.20231023-1945
/usr/local/lib/ruby/gems/3.2.0/gems/pups-1.2.1/lib/pups.rb
/usr/local/bin/pups --stdin
I, [2023-12-07T21:27:52.867393 #1]  INFO -- : Reading from stdin
I, [2023-12-07T21:27:52.888810 #1]  INFO -- : > locale-gen $LANG && update-locale
I, [2023-12-07T21:27:53.052110 #1]  INFO -- : Generating locales (this might take a while)...
Generation complete.

I, [2023-12-07T21:27:53.053307 #1]  INFO -- : > mkdir -p /shared/postgres_run
I, [2023-12-07T21:27:53.068794 #1]  INFO -- : 
I, [2023-12-07T21:27:53.070818 #1]  INFO -- : > chown postgres:postgres /shared/postgres_run
I, [2023-12-07T21:27:53.087442 #1]  INFO -- : 
I, [2023-12-07T21:27:53.088730 #1]  INFO -- : > chmod 775 /shared/postgres_run
I, [2023-12-07T21:27:53.100734 #1]  INFO -- : 
I, [2023-12-07T21:27:53.101630 #1]  INFO -- : > rm -fr /var/run/postgresql
I, [2023-12-07T21:27:53.111689 #1]  INFO -- : 
I, [2023-12-07T21:27:53.112786 #1]  INFO -- : > ln -s /shared/postgres_run /var/run/postgresql
I, [2023-12-07T21:27:53.129240 #1]  INFO -- : 
I, [2023-12-07T21:27:53.130816 #1]  INFO -- : > socat /dev/null UNIX-CONNECT:/shared/postgres_run/.s.PGSQL.5432 || exit 0 && echo postgres already running stop container ; exit 1
2023/12/07 21:27:53 socat[19] E connect(6, AF=1 "/shared/postgres_run/.s.PGSQL.5432", 36): No such file or directory
I, [2023-12-07T21:27:53.171995 #1]  INFO -- : 
I, [2023-12-07T21:27:53.172733 #1]  INFO -- : > rm -fr /shared/postgres_run/.s*
I, [2023-12-07T21:27:53.187307 #1]  INFO -- : 
I, [2023-12-07T21:27:53.188651 #1]  INFO -- : > rm -fr /shared/postgres_run/*.pid
I, [2023-12-07T21:27:53.200917 #1]  INFO -- : 
I, [2023-12-07T21:27:53.201966 #1]  INFO -- : > mkdir -p /shared/postgres_run/13-main.pg_stat_tmp
I, [2023-12-07T21:27:53.213670 #1]  INFO -- : 
I, [2023-12-07T21:27:53.214910 #1]  INFO -- : > chown postgres:postgres /shared/postgres_run/13-main.pg_stat_tmp
I, [2023-12-07T21:27:53.227265 #1]  INFO -- : 
I, [2023-12-07T21:27:53.254417 #1]  INFO -- : File > /etc/service/postgres/run  chmod: +x  chown: 
I, [2023-12-07T21:27:53.278747 #1]  INFO -- : File > /etc/service/postgres/log/run  chmod: +x  chown: 
I, [2023-12-07T21:27:53.305447 #1]  INFO -- : File > /etc/runit/3.d/99-postgres  chmod: +x  chown: 
I, [2023-12-07T21:27:53.330755 #1]  INFO -- : File > /root/upgrade_postgres  chmod: +x  chown: 
I, [2023-12-07T21:27:53.331959 #1]  INFO -- : > chown -R root /var/lib/postgresql/13/main
I, [2023-12-07T21:27:55.522162 #1]  INFO -- : 
I, [2023-12-07T21:27:55.523699 #1]  INFO -- : > [ ! -e /shared/postgres_data ] && install -d -m 0755 -o postgres -g postgres /shared/postgres_data && sudo -E -u postgres /usr/lib/postgresql/13/bin/initdb -D /shared/postgres_data || exit 0
I, [2023-12-07T21:27:55.534722 #1]  INFO -- : 
I, [2023-12-07T21:27:55.534966 #1]  INFO -- : > chown -R postgres:postgres /shared/postgres_data
I, [2023-12-07T21:27:55.748127 #1]  INFO -- : 
I, [2023-12-07T21:27:55.749312 #1]  INFO -- : > chown -R postgres:postgres /var/run/postgresql
I, [2023-12-07T21:27:55.762117 #1]  INFO -- : 
I, [2023-12-07T21:27:55.763943 #1]  INFO -- : > /root/upgrade_postgres
I, [2023-12-07T21:27:55.790468 #1]  INFO -- : 
I, [2023-12-07T21:27:55.791704 #1]  INFO -- : > rm /root/upgrade_postgres
I, [2023-12-07T21:27:55.802614 #1]  INFO -- : 
I, [2023-12-07T21:27:55.803939 #1]  INFO -- : Replacing data_directory = '/var/lib/postgresql/13/main' with data_directory = '/shared/postgres_data' in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-07T21:27:55.806088 #1]  INFO -- : Replacing (?-mix:#?listen_addresses *=.*) with listen_addresses = '*' in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-07T21:27:55.807166 #1]  INFO -- : Replacing (?-mix:#?synchronous_commit *=.*) with synchronous_commit = $db_synchronous_commit in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-07T21:27:55.808275 #1]  INFO -- : Replacing (?-mix:#?shared_buffers *=.*) with shared_buffers = $db_shared_buffers in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-07T21:27:55.809777 #1]  INFO -- : Replacing (?-mix:#?work_mem *=.*) with work_mem = $db_work_mem in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-07T21:27:55.811055 #1]  INFO -- : Replacing (?-mix:#?default_text_search_config *=.*) with default_text_search_config = '$db_default_text_search_config' in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-07T21:27:55.812350 #1]  INFO -- : > install -d -m 0755 -o postgres -g postgres /shared/postgres_backup
I, [2023-12-07T21:27:55.832907 #1]  INFO -- : 
I, [2023-12-07T21:27:55.834231 #1]  INFO -- : Replacing (?-mix:#?checkpoint_segments *=.*) with checkpoint_segments = $db_checkpoint_segments in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-07T21:27:55.836692 #1]  INFO -- : Replacing (?-mix:#?logging_collector *=.*) with logging_collector = $db_logging_collector in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-07T21:27:55.838620 #1]  INFO -- : Replacing (?-mix:#?log_min_duration_statement *=.*) with log_min_duration_statement = $db_log_min_duration_statement in /etc/postgresql/13/main/postgresql.conf
I, [2023-12-07T21:27:55.840740 #1]  INFO -- : Replacing (?-mix:^#local +replication +postgres +peer$) with local replication postgres  peer in /etc/postgresql/13/main/pg_hba.conf
I, [2023-12-07T21:27:55.842479 #1]  INFO -- : Replacing (?-mix:^host.*all.*all.*127.*$) with host all all 0.0.0.0/0 md5 in /etc/postgresql/13/main/pg_hba.conf
I, [2023-12-07T21:27:55.844302 #1]  INFO -- : Replacing (?-mix:^host.*all.*all.*::1\/128.*$) with host all all ::/0 md5 in /etc/postgresql/13/main/pg_hba.conf
I, [2023-12-07T21:27:55.845600 #1]  INFO -- : > HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/13/bin/postmaster -D /etc/postgresql/13/main
I, [2023-12-07T21:27:55.856257 #1]  INFO -- : > sleep 5
2023-12-07 21:27:56.035 UTC [42] LOG:  starting PostgreSQL 13.12 (Debian 13.12-1.pgdg110+1) on x86_64-pc-linux-gnu, compiled by gcc (Debian 10.2.1-6) 10.2.1 20210110, 64-bit
2023-12-07 21:27:56.036 UTC [42] LOG:  listening on IPv4 address "0.0.0.0", port 5432
2023-12-07 21:27:56.036 UTC [42] LOG:  listening on IPv6 address "::", port 5432
2023-12-07 21:27:56.042 UTC [42] LOG:  listening on Unix socket "/var/run/postgresql/.s.PGSQL.5432"
2023-12-07 21:27:56.072 UTC [45] LOG:  database system was shut down at 2023-12-07 21:27:34 UTC
2023-12-07 21:27:56.094 UTC [42] LOG:  database system is ready to accept connections
I, [2023-12-07T21:28:00.869339 #1]  INFO -- : 
I, [2023-12-07T21:28:00.870667 #1]  INFO -- : > su postgres -c 'createdb discourse' || true
2023-12-07 21:28:01.164 UTC [55] postgres@postgres ERROR:  database "discourse" already exists
2023-12-07 21:28:01.164 UTC [55] postgres@postgres STATEMENT:  CREATE DATABASE discourse;
createdb: error: database creation failed: ERROR:  database "discourse" already exists
I, [2023-12-07T21:28:01.171789 #1]  INFO -- : 
I, [2023-12-07T21:28:01.173658 #1]  INFO -- : > su postgres -c 'psql discourse -c "create user discourse;"' || true
2023-12-07 21:28:01.409 UTC [59] postgres@discourse ERROR:  role "discourse" already exists
2023-12-07 21:28:01.409 UTC [59] postgres@discourse STATEMENT:  create user discourse;
ERROR:  role "discourse" already exists
I, [2023-12-07T21:28:01.421089 #1]  INFO -- : 
I, [2023-12-07T21:28:01.422390 #1]  INFO -- : > su postgres -c 'psql discourse -c "grant all privileges on database discourse to discourse;"' || true
I, [2023-12-07T21:28:01.652351 #1]  INFO -- : GRANT

I, [2023-12-07T21:28:01.653224 #1]  INFO -- : > su postgres -c 'psql discourse -c "alter schema public owner to discourse;"'
I, [2023-12-07T21:28:01.848464 #1]  INFO -- : ALTER SCHEMA

I, [2023-12-07T21:28:01.849319 #1]  INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists hstore;"'
NOTICE:  extension "hstore" already exists, skipping
I, [2023-12-07T21:28:02.020169 #1]  INFO -- : CREATE EXTENSION

I, [2023-12-07T21:28:02.021062 #1]  INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists pg_trgm;"'
NOTICE:  extension "pg_trgm" already exists, skipping
I, [2023-12-07T21:28:02.199327 #1]  INFO -- : CREATE EXTENSION

I, [2023-12-07T21:28:02.200424 #1]  INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists vector;"'
NOTICE:  extension "vector" already exists, skipping
I, [2023-12-07T21:28:02.392996 #1]  INFO -- : CREATE EXTENSION

I, [2023-12-07T21:28:02.394344 #1]  INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists hstore;"'
NOTICE:  extension "hstore" already exists, skipping
I, [2023-12-07T21:28:02.575096 #1]  INFO -- : CREATE EXTENSION

I, [2023-12-07T21:28:02.576400 #1]  INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists pg_trgm;"'
NOTICE:  extension "pg_trgm" already exists, skipping
I, [2023-12-07T21:28:02.725992 #1]  INFO -- : CREATE EXTENSION

I, [2023-12-07T21:28:02.726638 #1]  INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists vector;"'
NOTICE:  extension "vector" already exists, skipping
I, [2023-12-07T21:28:02.908238 #1]  INFO -- : CREATE EXTENSION

I, [2023-12-07T21:28:02.909565 #1]  INFO -- : > sudo -u postgres psql discourse
I, [2023-12-07T21:28:02.921548 #1]  INFO -- : update pg_database set encoding = pg_char_to_encoding('UTF8') where datname = 'discourse' AND encoding = pg_char_to_encoding('SQL_ASCII');

I, [2023-12-07T21:28:03.146861 #1]  INFO -- : File > /var/lib/postgresql/take-database-backup  chmod: +x  chown: postgres:postgres
I, [2023-12-07T21:28:03.165891 #1]  INFO -- : File > /var/spool/cron/crontabs/postgres  chmod:   chown: 
I, [2023-12-07T21:28:03.166367 #1]  INFO -- : > echo postgres installed!
I, [2023-12-07T21:28:03.182267 #1]  INFO -- : postgres installed!

I, [2023-12-07T21:28:03.213062 #1]  INFO -- : File > /etc/service/redis/run  chmod: +x  chown: 
I, [2023-12-07T21:28:03.244974 #1]  INFO -- : File > /etc/service/redis/log/run  chmod: +x  chown: 
I, [2023-12-07T21:28:03.266706 #1]  INFO -- : File > /etc/runit/3.d/10-redis  chmod: +x  chown: 
I, [2023-12-07T21:28:03.268509 #1]  INFO -- : Replacing daemonize yes with  in /etc/redis/redis.conf
I, [2023-12-07T21:28:03.271386 #1]  INFO -- : Replacing (?-mix:^pidfile.*$) with  in /etc/redis/redis.conf
I, [2023-12-07T21:28:03.273731 #1]  INFO -- : > install -d -m 0755 -o redis -g redis /shared/redis_data
I, [2023-12-07T21:28:03.288445 #1]  INFO -- : 
I, [2023-12-07T21:28:03.290198 #1]  INFO -- : Replacing (?-mix:^logfile.*$) with logfile "" in /etc/redis/redis.conf
I, [2023-12-07T21:28:03.292337 #1]  INFO -- : Replacing (?-mix:^bind .*$) with  in /etc/redis/redis.conf
I, [2023-12-07T21:28:03.293786 #1]  INFO -- : Replacing (?-mix:^dir .*$) with dir /shared/redis_data in /etc/redis/redis.conf
I, [2023-12-07T21:28:03.295696 #1]  INFO -- : Replacing (?-mix:^protected-mode yes) with protected-mode no in /etc/redis/redis.conf
I, [2023-12-07T21:28:03.297288 #1]  INFO -- : Replacing # io-threads 4 with io-threads $redis_io_threads in /etc/redis/redis.conf
I, [2023-12-07T21:28:03.298621 #1]  INFO -- : > echo redis installed
I, [2023-12-07T21:28:03.307352 #1]  INFO -- : redis installed

I, [2023-12-07T21:28:03.308311 #1]  INFO -- : > cat /etc/redis/redis.conf | grep logfile
I, [2023-12-07T21:28:03.327848 #1]  INFO -- : logfile ""

I, [2023-12-07T21:28:03.328908 #1]  INFO -- : > exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf
I, [2023-12-07T21:28:03.340064 #1]  INFO -- : > sleep 10
111:C 07 Dec 2023 21:28:03.363 # oO0OoO0OoO0Oo Redis is starting oO0OoO0OoO0Oo
111:C 07 Dec 2023 21:28:03.363 # Redis version=7.0.7, bits=64, commit=00000000, modified=0, pid=111, just started
111:C 07 Dec 2023 21:28:03.363 # Configuration loaded
111:M 07 Dec 2023 21:28:03.366 * monotonic clock: POSIX clock_gettime
111:M 07 Dec 2023 21:28:03.369 * Running mode=standalone, port=6379.
111:M 07 Dec 2023 21:28:03.369 # Server initialized
111:M 07 Dec 2023 21:28:03.369 # WARNING Memory overcommit must be enabled! Without it, a background save or replication may fail under low memory condition. Being disabled, it can can also cause failures without low memory condition, see https://github.com/jemalloc/jemalloc/issues/1328. To fix this issue add 'vm.overcommit_memory = 1' to /etc/sysctl.conf and then reboot or run the command 'sysctl vm.overcommit_memory=1' for this to take effect.
111:M 07 Dec 2023 21:28:03.371 * Loading RDB produced by version 7.0.7
111:M 07 Dec 2023 21:28:03.371 * RDB age 31 seconds
111:M 07 Dec 2023 21:28:03.371 * RDB memory usage when created 2.62 Mb
111:M 07 Dec 2023 21:28:03.382 * Done loading RDB, keys loaded: 319, keys expired: 0.
111:M 07 Dec 2023 21:28:03.382 * DB loaded from disk: 0.012 seconds
111:M 07 Dec 2023 21:28:03.382 * Ready to accept connections
I, [2023-12-07T21:28:13.354480 #1]  INFO -- : 
I, [2023-12-07T21:28:13.355715 #1]  INFO -- : > thpoff echo "thpoff is installed!"
I, [2023-12-07T21:28:13.375845 #1]  INFO -- : thpoff is installed!

I, [2023-12-07T21:28:13.377559 #1]  INFO -- : > /usr/local/bin/ruby -e 'if ENV["DISCOURSE_SMTP_ADDRESS"] == "smtp.example.com"; puts "Aborting! Mail is not configured!"; exit 1; end'
I, [2023-12-07T21:28:13.652534 #1]  INFO -- : 
I, [2023-12-07T21:28:13.653251 #1]  INFO -- : > /usr/local/bin/ruby -e 'if ENV["DISCOURSE_HOSTNAME"] == "discourse.example.com"; puts "Aborting! Domain is not configured!"; exit 1; end'
I, [2023-12-07T21:28:13.886027 #1]  INFO -- : 
I, [2023-12-07T21:28:13.887325 #1]  INFO -- : > /usr/local/bin/ruby -e 'if (ENV["DISCOURSE_CDN_URL"] || "")[0..1] == "//"; puts "Aborting! CDN must have a protocol specified. Once fixed you should rebake your posts now to correct all posts."; exit 1; end'
I, [2023-12-07T21:28:14.154099 #1]  INFO -- : 
I, [2023-12-07T21:28:14.154919 #1]  INFO -- : > rm -f /etc/cron.d/anacron
I, [2023-12-07T21:28:14.165050 #1]  INFO -- : 
I, [2023-12-07T21:28:14.178331 #1]  INFO -- : File > /etc/cron.d/anacron  chmod:   chown: 
I, [2023-12-07T21:28:14.203523 #1]  INFO -- : File > /etc/runit/1.d/copy-env  chmod: +x  chown: 
I, [2023-12-07T21:28:14.231014 #1]  INFO -- : File > /etc/service/unicorn/run  chmod: +x  chown: 
I, [2023-12-07T21:28:14.256600 #1]  INFO -- : File > /etc/service/nginx/run  chmod: +x  chown: 
I, [2023-12-07T21:28:14.285982 #1]  INFO -- : File > /etc/runit/3.d/01-nginx  chmod: +x  chown: 
I, [2023-12-07T21:28:14.314320 #1]  INFO -- : File > /etc/runit/3.d/02-unicorn  chmod: +x  chown: 
I, [2023-12-07T21:28:14.315225 #1]  INFO -- : Replacing # postgres with sv start postgres || exit 1 in /etc/service/unicorn/run
I, [2023-12-07T21:28:14.316771 #1]  INFO -- : > exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf
I, [2023-12-07T21:28:14.331121 #1]  INFO -- : > cd /var/www/discourse && sudo -H -E -u discourse git reset --hard
138:C 07 Dec 2023 21:28:14.347 # oO0OoO0OoO0Oo Redis is starting oO0OoO0OoO0Oo
138:C 07 Dec 2023 21:28:14.348 # Redis version=7.0.7, bits=64, commit=00000000, modified=0, pid=138, just started
138:C 07 Dec 2023 21:28:14.348 # Configuration loaded
138:M 07 Dec 2023 21:28:14.349 * monotonic clock: POSIX clock_gettime
138:M 07 Dec 2023 21:28:14.350 # Warning: Could not create server TCP listening socket *:6379: bind: Address already in use
138:M 07 Dec 2023 21:28:14.350 # Failed listening on port 6379 (TCP), aborting.
Updating files: 100% (33858/33858), done.
I, [2023-12-07T21:28:29.489189 #1]  INFO -- : HEAD is now at 043b4a418 FIX: replaces data-tooltip usage by <DTooltip /> (#24062)

I, [2023-12-07T21:28:29.489710 #1]  INFO -- : > cd /var/www/discourse && sudo -H -E -u discourse git clean -f
I, [2023-12-07T21:28:30.370415 #1]  INFO -- : 
I, [2023-12-07T21:28:30.370684 #1]  INFO -- : > cd /var/www/discourse && sudo -H -E -u discourse bash -c '
  set -o errexit
  if [ $(git rev-parse --is-shallow-repository) == "true" ]; then
      git remote set-branches --add origin main
      git remote set-branches origin tests-passed
      git fetch --depth 1 origin tests-passed
  else
      git fetch --tags --prune-tags --prune --force origin
  fi
'
fatal: unable to access 'https://github.com/discourse/discourse.git/': Could not resolve host: github.com
I, [2023-12-07T21:28:42.767417 #1]  INFO -- : 
I, [2023-12-07T21:28:42.769055 #1]  INFO -- : Terminating async processes
I, [2023-12-07T21:28:42.769372 #1]  INFO -- : Sending INT to HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/13/bin/postmaster -D /etc/postgresql/13/main pid: 42
I, [2023-12-07T21:28:42.769482 #1]  INFO -- : Sending TERM to exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf pid: 111
2023-12-07 21:28:42.769 UTC [42] LOG:  received fast shutdown request
111:signal-handler (1701984522) Received SIGTERM scheduling shutdown...
2023-12-07 21:28:42.771 UTC [42] LOG:  aborting any active transactions
2023-12-07 21:28:42.779 UTC [42] LOG:  background worker "logical replication launcher" (PID 51) exited with exit code 1
111:M 07 Dec 2023 21:28:42.782 # User requested shutdown...
111:M 07 Dec 2023 21:28:42.782 * Saving the final RDB snapshot before exiting.
2023-12-07 21:28:42.785 UTC [46] LOG:  shutting down
111:M 07 Dec 2023 21:28:42.811 * DB saved on disk
111:M 07 Dec 2023 21:28:42.811 # Redis is now ready to exit, bye bye...
2023-12-07 21:28:42.853 UTC [42] LOG:  database system is shut down


FAILED
--------------------
Pups::ExecError: cd /var/www/discourse && sudo -H -E -u discourse bash -c '
  set -o errexit
  if [ $(git rev-parse --is-shallow-repository) == "true" ]; then
      git remote set-branches --add origin main
      git remote set-branches origin tests-passed
      git fetch --depth 1 origin tests-passed
  else
      git fetch --tags --prune-tags --prune --force origin
  fi
' failed with return #<Process::Status: pid 147 exit 128>
Location of failure: /usr/local/lib/ruby/gems/3.2.0/gems/pups-1.2.1/lib/pups/exec_command.rb:132:in `spawn'
exec failed with the params {"cd"=>"$home", "hook"=>"code", "cmd"=>["sudo -H -E -u discourse git reset --hard", "sudo -H -E -u discourse git clean -f", "sudo -H -E -u discourse bash -c '\n  set -o errexit\n  if [ $(git rev-parse --is-shallow-repository) == \"true\" ]; then\n      git remote set-branches --add origin main\n      git remote set-branches origin $version\n      git fetch --depth 1 origin $version\n  else\n      git fetch --tags --prune-tags --prune --force origin\n  fi\n'", "sudo -H -E -u discourse bash -c '\n  set -o errexit\n  if [[ $(git symbolic-ref --short HEAD) == $version ]] ; then\n      git pull\n  else\n      git -c advice.detachedHead=false checkout $version\n  fi\n'", "sudo -H -E -u discourse git config user.discourse-version $version", "mkdir -p tmp", "chown discourse:www-data tmp", "mkdir -p tmp/pids", "mkdir -p tmp/sockets", "touch tmp/.gitkeep", "mkdir -p                    /shared/log/rails", "bash -c \"touch -a           /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log\"", "bash -c \"ln    -s           /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log $home/log\"", "bash -c \"mkdir -p           /shared/{uploads,backups}\"", "bash -c \"ln    -s           /shared/{uploads,backups} $home/public\"", "bash -c \"mkdir -p           /shared/tmp/{backups,restores}\"", "bash -c \"ln    -s           /shared/tmp/{backups,restores} $home/tmp\"", "chown -R discourse:www-data /shared/log/rails /shared/uploads /shared/backups /shared/tmp", "[ ! -d public/plugins ] || find public/plugins/ -maxdepth 1 -xtype l -delete"]}
bootstrap failed with exit code 128
** FAILED TO BOOTSTRAP ** please scroll up and look for earlier error messages, there may be more than one.
./discourse-doctor may help diagnose the problem.
a3cbcdb4f69959188529ca50ea2c2c507929ee0eb917fabc18102efd9a16862f
root@37:/home/discourse# 

Looks like your docker networking is broken; you’ll need to fix that.

2 Likes

How can I fix?

Start with the basics:

  • does networking inside the container work at all?
  • is the container using the right DNS servers?
  • if networking works, can the container talk to the DNS servers?
2 Likes

I ask a lot of questions but how do I look at them?

root@37:/home/discourse# ./discourse-setup
The configuration file containers/app.yml already exists!

. . . reconfiguring . . .


Saving old file as app.yml.2023-12-07-220015.bak
Stopping existing container in 5 seconds or Control-C to cancel.
x86_64 arch detected.
+ /usr/bin/docker stop -t 600 app
app

Found 2GB of memory and 4 physical CPU cores
setting db_shared_buffers = 256MB
setting UNICORN_WORKERS = 4
containers/app.yml memory parameters updated.

Hostname for your Discourse? [kisacabilgi.net]: 

Checking your domain name . . .
WARNING: Port 443 of computer does not appear to be accessible using hostname:  kisacabilgi.net.
WARNING: Connection to http://kisacabilgi.net (port 80) also fails.

This suggests that kisacabilgi.net resolves to some IP address that does not reach this 
machine where you are installing discourse.

The first thing to do is confirm that kisacabilgi.net resolves to the IP address of this server.
You usually do this at the same place you purchased the domain.

If you are sure that the IP address resolves correctly, it could be a firewall issue.
A web search for "open ports YOUR CLOUD SERVICE" might help.

This tool is designed only for the most standard installations. If you cannot resolve
the issue above, you will need to edit containers/app.yml yourself and then type

By the way, when I tried to readjust the file, I got this error.

You already have a Discourse instance running, and you’re trying to set up a new one.
If you changed containers/app.yml, you need to rebuild the container with: ./launcher rebuild app instead.

1 Like

This time I get the initial error.

I really need help, something happened to my server for no reason and it’s been down for over 24 hours. Soon all my efforts will start to go in vain, I don’t know how to fix it myself.

From the server Discourse is running on, can you ping github.com?

1 Like
root@37:~# ping github.com
PING github.com (140.82.121.4) 56(84) bytes of data.
64 bytes from lb-140-82-121-4-fra.github.com (140.82.121.4): icmp_seq=1 ttl=52 time=37.7 ms
64 bytes from lb-140-82-121-4-fra.github.com (140.82.121.4): icmp_seq=2 ttl=52 time=37.7 ms
64 bytes from lb-140-82-121-4-fra.github.com (140.82.121.4): icmp_seq=3 ttl=52 time=38.9 ms

Will no one help?

You marked this topic as solved in reply #8.

If it’s the same problem we can remove the solved status, but if not consider starting a fresh topic to eliminate any confusion.

3 Likes

If you still have a functional build, could you start it[1], enter it[2], and try pinging github from there?


  1. ./launcher start app ↩︎

  2. ./launcher enter app ↩︎

root@37-app:/var/www/discourse# ping github.com
bash: ping: command not found

Try curl then:

curl github.com -v
root@37-app:/var/www/discourse# curl github.com -v
* Could not resolve host: github.com
* Closing connection 0
curl: (6) Could not resolve host: github.com
root@37-app:/var/www/discourse# 

Could you repeat that, except for Google?

1 Like